// Copyright  2002 - 2007 DataDirect Technologies Corp. All Rights Reserved.
using System;
using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Data;
using Microsoft.Practices.EnterpriseLibrary.Data.Configuration;

namespace DDTek.EnterpriseLibrary.Data.DB2 {

	/// <summary>
	/// Represents the process to build an instance of <see cref="DB2Database"/> described by configuration information.
	/// </summary>
	public class DB2DatabaseAssembler : IDatabaseAssembler {

		/// <summary>
		/// Builds an instance of <see cref="DB2Database"/>, based on the provided connection string.
		/// </summary>
		/// <param name="name">The name for the new database instance.</param>
		/// <param name="connectionStringSettings">The connection string for the new database instance.</param>
		/// <param name="configurationSource">The source for any additional configuration information.</param>
		/// <returns>The new DB2Database instance.</returns>
		public Database Assemble(string name, ConnectionStringSettings connectionStringSettings, IConfigurationSource configurationSource) {

			return new DB2Database(connectionStringSettings.ConnectionString);
		}
	}
}
